Get instruments
Returns current and historical instruments from the indexer database (ClickHouse), with the same contract filters as core-chain GET /instruments.
Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| pageNumber | yes | integer | Page index for instrument listing pagination. |
| pageSize | yes | integer | Number of instruments to return per page. |
| contractType | yes | string | Optional contract type filter (comma-separated). Accepted values (case-insensitive): option, future, perp, spot. |
| expiry | yes | string | null |
| underlyingAsset | yes | string | null |
Response fields
| Parameter | Required | Type | Description |
|---|---|---|---|
instruments | yes | object | — |
instruments.* | yes | object (map) | An instrument identifier (8-byte hash). |
instruments.*.expiry | no | string | null | — |
instruments.*.id | yes | string | — |
instruments.*.instrumentType | yes | string | — |
instruments.*.isTrading | yes | boolean | — |
instruments.*.lastMatchPrice | yes | string | — |
instruments.*.listedAt | no | integer (int64) | — |
instruments.*.maxLeverage | no | string | null | — |
instruments.*.maxLeverageMargin | no | string | null | — |
instruments.*.priceScale | yes | integer (int32) | — |
instruments.*.quantityScale | yes | integer (int32) | — |
instruments.*.settlementAsset | yes | string | — |
instruments.*.strike | no | string | null | — |
instruments.*.ticker | yes | string | — |
instruments.*.underlyingAsset | yes | string | — |
instruments.*.worstCasePriceMovePct | no | string | null | — |
instruments.*.worstCasePriceMovePctMargin | no | string | null | — |
Response example
A sample 200 response body is attached to this operation as an OpenAPI example — see the Example panel on this page.
Path Parameters
Page index for instrument listing pagination.
x >= 0Number of instruments to return per page.
x >= 0Optional contract type filter (comma-separated). Accepted values
(case-insensitive): option, future, perp, spot.
Optional expiry filter. Matches the instrument's formatted expiry (e.g. 28MAR25).
Optional underlying asset ticker filter (e.g. BTC). Case-insensitive.
Response
Instruments
Current and historical instruments from the indexer instruments table.